import 'dart:convert';

import 'package:zhiying_base_widget/widgets/goods_details/store/bloc/bloc.dart';
import 'package:zhiying_base_widget/widgets/goods_details/store/model/store_model.dart';
import 'package:zhiying_comm/zhiying_comm.dart';

class StoreRepository {
  /// 获取上级数据
  Future<StoreModel> fetchParentData(StoreInitEvent event) async {
    try {
      return StoreModel.fromJson(json.decode(event.model['data']));
    } catch (e) {
      Logger.log('StoreRepository e= $e');
    }
  }

  /// 网络数据
  Future<StoreModel> fetchNetData(StoreInitEvent event) async {}
}
